<?php
#------------------------------------------
#          Plugin para WDTV Live
# Series Series.ly - Acceso mediante API
#------------------------------------------

include('funciones.php');
include('funciones-seriesly.php');


function _pluginMain($prmQuery) {

$auth_token=file_get_contents('http://series.ly/api/auth.php?api=16&secret=7F3Ff9PeVu7ch3vTPZ93');
$user_token=@file_get_contents('/tmp/serieslyusertoken');
$mi_cookie =@file_get_contents('/tmp/serieslycookie');

$logado=file_get_contents('http://series.ly/api/isUserLogged.php?auth_token='.$auth_token.'&user_token='.$user_token);

if ( $logado  == 0 ) {
  $user_token=_NosLogamos();}


$website = 'http://series.ly/series/index.php';
$plugin = 'series-seriesly-api';
$queryData = array();
parse_str($prmQuery, $queryData);



if ($queryData['inicio'] =='Siguiendo') { 
       $url = 'http://series.ly/api/userSeries.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml'; 
       $xmlData = simplexml_load_file($url); 
       foreach ($xmlData->item as $serie){
        if ( "$serie->status" == "Watching" ) { 
         $titulos[]=str_replace("\\","","$serie->title");
         $caratulas[]="$serie->poster";
         $serieref[]="http://series.ly/series/serie-"."$serie->idSerie";}}

       $lista = array ('titulo' => $titulos,'enlace' => $serieref, 'caratula' => $caratulas);
       $tipo = 'temporadas';}  




else if ($queryData['inicio'] =='SeriesPendientes') {
       $url = 'http://series.ly/api/userSeries.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml';
       $xmlData = simplexml_load_file($url);
       foreach ($xmlData->item as $serie){
        if ( "$serie->status" == "Pending" ) {
        $titulos[]=str_replace("\\","","$serie->title");
        $caratulas[]="$serie->poster";
        $serieref[]="http://series.ly/series/serie-"."$serie->idSerie";}}
        
       $lista = array ('titulo' => $titulos,'enlace' => $serieref, 'caratula' => $caratulas);
       $tipo = 'temporadas';}
         




else if ($queryData['inicio'] =='SeriesFinalizadas') {
       $url = 'http://series.ly/api/userSeries.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml';
       $xmlData = simplexml_load_file($url);
        foreach ($xmlData->item as $serie){
          if ( "$serie->status" == "Finished" ) {
          $titulos[]=str_replace("\\","","$serie->title");
          $caratulas[]="$serie->poster";
          $serieref[]="http://series.ly/series/serie-"."$serie->idSerie";}}
          
       $lista = array ('titulo' => $titulos,'enlace' => $serieref, 'caratula' => $caratulas);
       $tipo = 'temporadas';}   




else if ($queryData['busqueda']!='') {
        $xmlData = simplexml_load_file($queryData['busqueda']);
        foreach ($xmlData->item as $serie){
         $titulos[]=str_replace("\\","","$serie->title". " - Temporadas ". "$serie->seasons" . " -  Episodios " . "$serie->episodes"); 
         $caratulas[]="$serie->poster";
         $serieref[]="http://series.ly/series/serie-"."$serie->idSerie";}

        $lista = array ('titulo' => $titulos,'enlace' => $serieref, 'caratula' => $caratulas); 
        $tipo = 'temporadas';} 




else if ($queryData['temporadas'] !='') {
       preg_match('/\/.*serie-(..........)/', $queryData['temporadas'], $idserie);
       file_put_contents( '/tmp/codserie' , $idserie[1]);
       $url = 'http://series.ly/api/detailSerie.php?auth_token='.$auth_token.'&idSerie='.$idserie[1].'&user_token='.$user_token.'&format=xml';
       $xmlData = simplexml_load_file($url);
       $Poster="$xmlData->poster"; 
       foreach ($xmlData->episode->item as $episodio) {
          preg_match('/(.*)x/',$episodio->season,$temporada);
          $Temp[]='Temporada '.$temporada[1];
          $Enl[]=$temporada[1];}

       $Temporadas[1]=array_keys(array_count_values(array_unique($Temp)));
       $Enlaces[1]=array_keys(array_count_values(array_unique($Enl)));
       foreach ($Enlaces[1] as $value) { $caratulas[] = $Poster;} 
       $lista = array ('titulo' => $Temporadas[1],'enlace' => $Enlaces[1], 'caratula' => $caratulas,'serie' => "$xmlData->title",'url' => $queryData['temporadas']);
       $tipo = 'capitulos';} 
 


else if ($queryData['capitulos']!='') {
       $idserie=file_get_contents('/tmp/codserie');
       $url = 'http://series.ly/api/detailSerie.php?auth_token='.$auth_token.'&idSerie='.$idserie.'&user_token='.$user_token.'&format=xml';
       $xmlData = simplexml_load_file($url); 
       $Poster="$xmlData->poster";
       foreach ($xmlData->episode->item as $episodio) {
          preg_match('/(.*)x/',$episodio->season,$temporada);
          if ( $temporada[1] == $queryData['capitulos'] ) {
               $Cap[]=urlencode("$episodio->title");
               if ($episodio->viewed == 1) {
                  $CapNom[]=str_replace("\\","","$episodio->title"." - (Visto)");
                  $caratulas[]="http://i54.tinypic.com/24o0lsl.png";} 
               else { 
                  $CapNom[]=str_replace("\\","","$episodio->title");
                  $caratulas[]=$Poster;}}}

        $Capitulos[1]=array_keys(array_count_values(array_unique($Cap)));  
        $NombreCaps[1]=array_keys(array_count_values(array_unique($CapNom)));
	$lista = array ('titulo' => $NombreCaps[1],'enlace' => $Capitulos[1], 'caratula' => $caratulas);
	$tipo = 'enlaces';}



else if ($queryData['enlaces']!=''){
      $idserie=file_get_contents('/tmp/codserie');
      $url = 'http://series.ly/api/detailSerie.php?auth_token='.$auth_token.'&idSerie='.$idserie.'&user_token='.$user_token.'&format=xml';
      $xmlData = simplexml_load_file($url);
      foreach ($xmlData->episode->item as $episodio) {
       $Titulo=str_replace("\\","","$episodio->title");
       if ( urlencode("$episodio->title") == $queryData['enlaces'] ) {
          foreach ($episodio->links->item as $Links) {
             if ( "$Links->hd" == 0 ) {
              $Enlace[]="Calidad: SD -- "."$Links->language" . " -- Subtitulo: ". "$Links->subtitles";
              $caratulas[]="http://i52.tinypic.com/34g22d5.png";} 
             else {
              $Enlace[]="Calidad: HD -- "."$Links->language" . " -- Subtitulo: ". "$Links->subtitles";
              $caratulas[]="http://i53.tinypic.com/35c0j6f.png";}
            $Cod_MV[]="$Links->url_megavideo";}}}
 
       $lista = array ('titulo' => $Enlace,'enlace' => $Cod_MV, 'caratula' => $caratulas);
       $tipo = 'enlaceMV';}
    


else if ($queryData['enlaceMV']!=''){
      $url='http://series.ly/api/goLink.php';
      $datos='auth_token='.$auth_token.'&user_token='.$user_token.'&enc='.$queryData['enlaceMV'];
      $header='Cookie: '.$mi_cookie.'\r\n';
      $opts = array('http'=>array('method'=>"HEAD",'header'=> $header."\r\n")); 
      $context = stream_context_create($opts);
      file_get_contents($url.'?'.$datos,false,$context); ###Es la unica parte de la API que require una sesion valida por eso le pasamos la cookie con el PHPSESSID previamente validado con isUserLogged.php mediante el user_token. 
      $bus_megavideo = preg_grep('/http:\/\/www.megavideo.com\/\?.=......../', $http_response_header);
      $bus_megavideo[1] = array_keys(array_count_values($bus_megavideo));
      preg_match_all("/.*http:\/\/www.megavideo.com\/\?.=(........)/",$bus_megavideo[1][0],$mv);

      if ( empty($mv[1][0])){
        $user_token=_NosLogamos();} ###La api esta un poco verde aqui. Es posible que previamente el isUserLogged.php nos haya identificado con sesion valida pero realmente no sea asi. Pasa muy pocas veces. En ese caso volvemos a logarnos.  
      else {  
       $codmv[]=$mv[1][0];
       $lista = array ('megavid' => $codmv,'megaup' => $mu,'titulo' => 'Enlace MV');
       return _pluginCreateVideoItems($lista,$plugin);}
      }
      



else if ($queryData['favoritos'] !='') {
            return _pluginFavorito($queryData['favoritos'],$plugin);}



//Pagina Inicial
else {

	$lista = array (
	'titulo' => array ('Siguiendo', 'Series Pendientes', 'Series Finalizadas'),
	'enlace' => array ('Siguiendo', 'SeriesPendientes', 'SeriesFinalizadas'),
	'caratula' => array ('http://i56.tinypic.com/2zqt2fq.png','http://i54.tinypic.com/5vu8ag.png','http://i53.tinypic.com/t8ogg8.png'),
	);

	$tipo = 'inicio';}
	return _CrearItems($lista,$plugin,$tipo);}

//Funciones
function _cadenaBusqueda(){
        $auth_token=file_get_contents('http://series.ly/api/auth.php?api=16&secret=7F3Ff9PeVu7ch3vTPZ93');
        return 'http://series.ly/api/search.php?auth_token='.$auth_token.'&type=serie&format=xml&search=';}
?>
