<?php
#------------------------------------------
#          Plugin para WDTV Live
# Series Series.ly - Acceso mediante API
#------------------------------------------

include('funciones.php');
include('funciones-seriesly.php');

function _pluginMain($prmQuery) {

	$auth_token=file_get_contents('http://series.ly/api/auth.php?api=16&secret=7F3Ff9PeVu7ch3vTPZ93');
	$user_token=@file_get_contents('/tmp/serieslyusertoken');
	$mi_cookie =@file_get_contents('/tmp/serieslycookie');

	$logado=file_get_contents('http://series.ly/api/isUserLogged.php?auth_token='.$auth_token.'&user_token='.$user_token);

	if ( $logado  == 0 ) {
		$user_token=_NosLogamos();
	}

	$plugin = 'peliculas-seriesly-api';
	$queryData = array();
	parse_str($prmQuery, $queryData);

	if ($queryData['inicio'] =='PelisVistas') {
		$url = 'http://series.ly/api/userMovies.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml';
		$xmlData = simplexml_load_file($url);
		foreach ($xmlData->item as $movie) {
			if ( "$movie->status" == "Watched" || "$movie->status" == "Favourite" ) {
				$titulos[]=str_replace("\\","","$movie->title");
				$caratulas[]="$movie->postr";
				$movieref[]="$movie->idFilm";
			}
		}

		$lista = array ('titulo' => $titulos,'enlace' => $movieref, 'caratula' => $caratulas);
		$tipo = 'pelis';
	}
	else if ($queryData['inicio'] =='PelisPendientes') {
		$url = 'http://series.ly/api/userMovies.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml';
		$xmlData = simplexml_load_file($url);
		foreach ($xmlData->item as $movie) {
			if ( "$movie->status" == "Pending" ) {
				$titulos[]=str_replace("\\","","$movie->title");
				$caratulas[]="$movie->postr";
				$movieref[]="$movie->idFilm";
			}
		}

		$lista = array ('titulo' => $titulos,'enlace' => $movieref, 'caratula' => $caratulas);
		$tipo = 'pelis';
	}
	else if ($queryData['inicio'] =='PelisFavoritas') {
		$url = 'http://series.ly/api/userMovies.php?auth_token='.$auth_token.'&user_token='.$user_token.'&format=xml';
		$xmlData = simplexml_load_file($url);
		foreach ($xmlData->item as $movie) {
			if ( "$movie->status" == "Favourite" ) {
				$titulos[]=str_replace("\\","","$movie->title");
				$caratulas[]="$movie->postr";
				$movieref[]="$movie->idFilm";
			}
		}

		$lista = array ('titulo' => $titulos,'enlace' => $movieref, 'caratula' => $caratulas);
		$tipo = 'pelis';
	}
	else if ($queryData['busqueda']!='') {
		$xmlData = simplexml_load_file($queryData['busqueda']);
		foreach ($xmlData->item as $movie) {
			$titulos[]=str_replace("\\","","$movie->title");
			$caratulas[]="$movie->postr";
			$movieref[]="$movie->idFilm";
		}

		$lista = array ('titulo' => $titulos,'enlace' => $movieref, 'caratula' => $caratulas);
		$tipo = 'pelis';
	}
	else if ($queryData['pelis']!='') {
		$url = 'http://series.ly/api/detailMovie.php?auth_token='.$auth_token.'&idFilm='.$queryData['pelis'].'&user_token='.$user_token.'&format=xml';
		$movie = simplexml_load_file($url);
		foreach ($movie->links->item as $Links) {
			if ( "$Links->highDef" == 0 ) {
				$titulos[]="Calidad: SD -- " . "$Links->quality" . "--" . "$Links->language" . " -- Subtitulo: ". "$Links->subtitles";
				$caratulas[]="http://i52.tinypic.com/34g22d5.png";
			}
			else {
				$titulos[]="Calidad: HD -- " . "$Links->quality" . "--" . "$Links->language" . " -- Subtitulo: ". "$Links->subtitles";
				$caratulas[]="http://i53.tinypic.com/35c0j6f.png";
			}
			$Cod_MV[]="$Links->url_megavideo";
		}
		$lista = array ('titulo' => $titulos,'enlace' => $Cod_MV, 'caratula' => $caratulas);
		$tipo = 'enlaces';
	}
	else if ($queryData['enlaces']!='') {
		$url='http://series.ly/api/goLink.php';
		$datos='auth_token='.$auth_token.'&user_token='.$user_token.'&enc='.$queryData['enlaces'];
		$header='Cookie: '.$mi_cookie.'\r\n';
		$opts = array('http'=>array('method'=>"HEAD",'header'=> $header."\r\n"));
		$context = stream_context_create($opts);
		file_get_contents($url.'?'.$datos,false,$context); ###Es la unica parte de la API que require una sesion valida por eso le pasamos la cookie con el PHPSESSID previamente validado con isUserLogged.php mediante el user_token. 
		$bus_megavideo = preg_grep('/http:\/\/www.megavideo.com\/\?.=......../', $http_response_header);
		$bus_megavideo[1] = array_keys(array_count_values($bus_megavideo));
		preg_match_all("/.*http:\/\/www.megavideo.com\/\?.=(........)/",$bus_megavideo[1][0],$mv);

		if ( empty($mv[1][0])) {
			$user_token=_NosLogamos();} ###La api esta un poco verde aqui. Es posible que previamente el isUserLogged.php nos haya identificado con sesion valida pero realmente no sea asi. Pasa muy pocas veces. En ese caso volvemos a logarnos.  
		else {
			$codmv[]=$mv[1][0];
			$lista = array ('megavid' => $codmv,'megaup' => $mu,'titulo' => 'Enlace MV');
			return _pluginCreateVideoItems($lista,$plugin);
		}
	}
	else if ($queryData['favoritos'] !='') {
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	else { //Pagina Inicial
		$lista = array (
				'titulo' => array ('Peliculas Vistas', 'Peliculas Pendientes', 'Peliculas Favoritas'),
				'enlace' => array ('PelisVistas', 'PelisPendientes', 'PelisFavoritas'),
				'caratula' => array ('http://i53.tinypic.com/t8ogg8.png','http://i54.tinypic.com/5vu8ag.png','http://i56.tinypic.com/2zqt2fq.png'),
		);

		$tipo = 'inicio';
	}
	return _CrearItems($lista,$plugin,$tipo);
}

//Funciones
function _cadenaBusqueda() {
	$auth_token=file_get_contents('http://series.ly/api/auth.php?api=16&secret=7F3Ff9PeVu7ch3vTPZ93');
	return 'http://series.ly/api/search.php?auth_token='.$auth_token.'&type=film&format=xml&search=';
}
?>
